// sxbmevw.h : interface of the CSxbmemView class
//
/////////////////////////////////////////////////////////////////////////////

class CSxbmemView : public CFormView
{
protected: // create from serialization only
	CSxbmemView();
	DECLARE_DYNCREATE(CSxbmemView)

public:
	//{{AFX_DATA(CSxbmemView)
	enum { IDD = IDD_SXBMEM_FORM };
	CComboBox	m_MemAddrBox;
	CComboBox	m_StructViewBox;
	DWORD	m_RefreshRate;
	DWORD	m_Size;
	CString	m_MemAddr;
	int		m_Format;
	//}}AFX_DATA
	DWORD m_MemAddress;
	BOOL m_HasFocus;

// Attributes
public:
	CSxbmemDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSxbmemView)
	public:
	virtual void OnInitialUpdate();
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CSxbmemView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CSxbmemView)
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnRefresh();
	afx_msg void OnEditCopy();
	afx_msg void OnUpdateEditCopy(CCmdUI* pCmdUI);
	afx_msg void OnEditCut();
	afx_msg void OnEditPaste();
	afx_msg void OnUpdateEditPaste(CCmdUI* pCmdUI);
	afx_msg void OnEditUndo();
	afx_msg void OnUpdateEditUndo(CCmdUI* pCmdUI);
	afx_msg void OnSelchangeStructView();
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg void OnSelchangeFormat();
	afx_msg void OnEditchangeAddr();
	afx_msg void OnSetfocusAddr();
	afx_msg void OnKillfocusAddr();
	afx_msg void OnSelchangeAddr();
	afx_msg void OnUpdateSize();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in sxbmevw.cpp
inline CSxbmemDoc* CSxbmemView::GetDocument()
   { return (CSxbmemDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////
